class GetProcedureReqModel {
  int clinicId;
  int patientMRN;
  int pageSize;
  int pageIndex;
  List<String> search;
  dynamic category;
  String vidaAuthTokenID;

  GetProcedureReqModel(
      {this.clinicId,
      this.patientMRN,
      this.pageSize,
      this.pageIndex,
      this.search,
      this.category,
      this.vidaAuthTokenID});

  GetProcedureReqModel.fromJson(Map<String, dynamic> json) {
    clinicId = json['ClinicId'];
    patientMRN = json['PatientMRN'];
    pageSize = json['PageSize'];
    pageIndex = json['PageIndex'];
    search = json['Search'].cast<String>();
    category = json['Category'];
    vidaAuthTokenID = json['VidaAuthTokenID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ClinicId'] = this.clinicId;
    data['PatientMRN'] = this.patientMRN;
    data['PageSize'] = this.pageSize;
    data['PageIndex'] = this.pageIndex;
    data['Search'] = this.search;
    data['Category'] = this.category;
    data['VidaAuthTokenID'] = this.vidaAuthTokenID;
    return data;
  }
}
